My Oracle Support Banner

ODI Studio "Populate from VCS" Fails with Error "ODI-12308: Get object from VCS repository operation failed. String index out of range" (Doc ID 2785495.1)

Last updated on OCTOBER 13, 2021

Applies to:

Oracle Data Integrator - Version 12.2.1.4.200721 and later
Information in this document applies to any platform.

Symptoms

Attempting to integrate an Oracle Data Integrator (ODI) 12c repository with Git Version Control System (VCS). Some objects have been manually versioned and been added to VCS.
When attempting to run "Populate from VCS" the following error occurs"

Changes

 

Cause

To view full details, sign in with your My Oracle Support account.

Don't have a My Oracle Support account? Click to get started!


In this Document
Symptoms
Changes
Cause
Solution


My Oracle Support provides customers with access to over a million knowledge articles and a vibrant support community of peers and Oracle experts.